Freeciv-3.1: /fast/freeciv/nightly/S3_1/common/aicore/aiactions.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
aiactions.c File Reference
`#include "unittype.h"`
`#include "aiactions.h"`

Go to the source code of this file.

## Functions

bool | aia_utype_is_considered_spy_vs_city (const struct unit_type *putype)
bool | aia_utype_is_considered_spy (const struct unit_type *putype)
bool | aia_utype_is_considered_caravan_trade (const struct unit_type *putype)
bool | aia_utype_is_considered_caravan (const struct unit_type *putype)
bool | aia_utype_is_considered_worker (const struct unit_type *putype)

## Function Documentation

## ◆ aia_utype_is_considered_caravan()

bool aia_utype_is_considered_caravan | ( | const struct unit_type * | putype | ) |

Returns TRUE if the specified unit type is able to perform caravan actions.

Definition at line 80 of file aiactions.c.

## ◆ aia_utype_is_considered_caravan_trade()

bool aia_utype_is_considered_caravan_trade | ( | const struct unit_type * | putype | ) |

Returns TRUE if the specified unit type is able to perform trade caravan actions.

Definition at line 68 of file aiactions.c.

Referenced by aia_utype_is_considered_caravan(), and pft_enable_default_actions().

## ◆ aia_utype_is_considered_spy()

bool aia_utype_is_considered_spy | ( | const struct unit_type * | putype | ) |

Returns TRUE if the specified unit type is able to perform diplomatic actions.

Definition at line 53 of file aiactions.c.

Referenced by is_city_surrounded_by_our_spies(), and pft_enable_default_actions().

## ◆ aia_utype_is_considered_spy_vs_city()

bool aia_utype_is_considered_spy_vs_city | ( | const struct unit_type * | putype | ) |

Returns TRUE if the specified unit type is able to perform diplomatic actions against cities.

Definition at line 29 of file aiactions.c.

Referenced by aia_utype_is_considered_spy(), and dai_data_phase_begin().

## ◆ aia_utype_is_considered_worker()

bool aia_utype_is_considered_worker | ( | const struct unit_type * | putype | ) |

Returns TRUE if the specified unit type is able to perform worker actions.

Definition at line 91 of file aiactions.c.

Referenced by dai_diplomat_bribe_nearby().